<div class="game-board">
  <div class="game-controls">
    <mat-form-field class="control">
      <mat-label>Pick game mode</mat-label>
      <mat-select [(ngModel)]="selectedMode">
        <mat-option
          *ngFor="let gameMode of objectKeys(gameModes)"
          [value]="gameModes[gameMode]"
        >
          {{ gameMode }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field class="control">
      <mat-label>Enter your name</mat-label>
      <input matInput [(ngModel)]="userName" />
    </mat-form-field>
    <button
      class="control"
      mat-stroked-button
      [disabled]="!userName || !selectedMode"
      (click)="startGame()"
    >
      <!-- Async pipes should not be negated. Use (observable | async) === (false | null | undefined) to check its value instead -->
      <ng-container *ngIf="(winner.async() | async) === ''">
        PLAY
      </ng-container>
      <ng-container *ngIf="winner.async() | async">
        PLAY AGAIN
      </ng-container>
    </button>
  </div>
  <mat-label
    class="winner"
    [style.visibility]="(winner.async() | async) ? 'visible' : 'hidden'"
  >
    {{ winner.async() | async }} wins</mat-label
  >
  <app-game-board></app-game-board>
</div>
<app-leader-board></app-leader-board>
